Subject: Re: fvwm-menu-directory patch

From: "Duke" <[email-masked]>
Date: Mon, 20 Dec 2004 18:52:26 -0500 (EST)

lol, dang..

As it turns out I'm running 2.5.10 :P

oh well.

Thanks for the update!

     -- Matt.

> On 18 Dec 2004 18:29:13 -0500, Matt DeLuco wrote:
>>
>> I use fvwm-menu-directory for a couple different directories (one for
playing music, the other for setting backgrounds.)  Recently I
organized my backgrounds in to alphabetical subdirectories which is
when I began to have problems.
>>
>> I have two functions that use fvwm-menu-directory, as follows:
>>
> [...]
>>
>> It took me a while to figure out that fvwm-menu-directory only uses
"FuncFvwmMenuDirectory" as the fvwm function for all generated
>> submenus.  I had a look at the command's output in the shell then dug
through the perl script to figure this out.
>>
>> So what I did was add another command line option to
>> fvwm-menu-directory.  You can actually see it in the above functions
"--fvwm-function".  It defaults to FuncFvwmMenuDirectory unless $reuse
is set.
>
> Accourding to NEWS file, fvwm-menu-directory --func-name option
> was added in 2.5.11. I may backport it to 2.4.x if you want.
>
> Regards,
> Mikhael.
>

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]